using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcScaffolding_Mac.Models;

namespace MvcScaffolding_Mac.Controllers
{   
    public class TimeController : Controller
    {
        private MvcScaffoldingMacContext context = new MvcScaffoldingMacContext();

        //
        // GET: /Time/

        public ViewResult Index()
        {
            return View(context.Time.ToList());
        }

        //
        // GET: /Time/Details/5

        public ViewResult Details(int id)
        {
            Time time = context.Time.Single(x => x.TimeId == id);
            return View(time);
        }

        //
        // GET: /Time/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /Time/Create

        [HttpPost]
        public ActionResult Create(Time time)
        {
            if (ModelState.IsValid)
            {
                context.Time.Add(time);
                context.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(time);
        }
        
        //
        // GET: /Time/Edit/5
 
        public ActionResult Edit(int id)
        {
            Time time = context.Time.Single(x => x.TimeId == id);
            return View(time);
        }

        //
        // POST: /Time/Edit/5

        [HttpPost]
        public ActionResult Edit(Time time)
        {
            if (ModelState.IsValid)
            {
                context.Entry(time).State = EntityState.Modified;
                context.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(time);
        }

        //
        // GET: /Time/Delete/5
 
        public ActionResult Delete(int id)
        {
            Time time = context.Time.Single(x => x.TimeId == id);
            return View(time);
        }

        //
        // POST: /Time/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            Time time = context.Time.Single(x => x.TimeId == id);
            context.Time.Remove(time);
            context.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing) {
                context.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}